POST https://webhook.example.com

Channel Registration

This endpoint gets called in any one of the three scenarios as follows;

Status Event purpose
register A new store/location needs to establish a connection between Deliverect and a channel platform
active A new store/location is ready to start receiving orders into Deliverect from the channel platform
inactive A customer wants to stop receiving orders to this store/location from the channel platform

We always expect a JSON result which contains the endpoints shown in the table below;

Attribute Purpose Type Required
statusUpdateURL Receive order status update events string YES
menuUpdateURL Receive menu update requests string YES
snoozeUnsnoozeURL Receive both snooze and unsnooze requests string YES
busyModeURL Receive busy mode requests (paused/online) string YES
updatePrepTimeURL Receive preparation time update requests string NO
courierUpdateURL Receive courier update events string NO
paymentUpdateURL Received payment update events string NO
authorizationURL Receive SSO authorization string NO
menuUrl Merchant Store URL / site URL string NO

Request parameters

Parameter Meaning Type
status register Indicates the registration of the channel. active Denotes the activation of the channel. inactive Signifies the disabling of the channel. string
channelLocationId The unique id of the Merchant in the channel platform string
channelLinkId The channel link id generated in Deliverect when it's added to the Location. string
locationId The location id generated in the Deliverect portal when it's created in Deliverect. string
channelLinkName The channel name displayed in Deliverect. string
application/json

Body

Responses

  • 200 application/json

    Ok

    Hide response attributes Show response attributes object
    • statusUpdateURL string Required
    • menuUpdateURL string Required
    • snoozeUnsnoozeURL string Required
    • busyModeURL string Required
POST /channel/register
Request examples
{
  "status": "register",
  "channelLocationId": "{{externalChannelLocationId}}",
  "channelLinkId": "{{channelLinkId}}",
  "locationId": "{{locationId}}",
  "channelLinkName": "Order Boss"
}
{
  "status": "active",
  "channelLocationId": "{{externalChannelLocationId}}",
  "channelLinkId": "{{channelLinkId}}",
  "locationId": "{{locationId}}",
  "channelLinkName": "Order Boss"
}
{
  "status": "inactive",
  "channelLocationId": "{{externalChannelLocationId}}",
  "channelLinkId": "{{channelLinkId}}",
  "locationId": "{{locationId}}",
  "channelLinkName": "Order Boss"
}
Response examples (200)
{
  "ChannelRegistration": [
    {
      "statusUpdateURL": "{{https://integrator.com/orderstatusUpdate}}",
      "menuUpdateURL": "{{https://integrator.com/menuUpdate}}",
      "snoozeUnsnoozeURL": "{{https://integrator.com/snoozeUnsnooze}}",
      "busyModeURL": "{{https://integrator.com/busyMode}}",
      "updatePrepTimeURL": "{{https://integrator.com/updatePrepTimeURL}}",
      "courierUpdateURL": "{{https://integrator.com/courierUpdateURL}}"
    }
  ]
}